| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::LoadSaveFileInfoProvider Class Referenceabstract
Inheritance diagram for Digikam::LoadSaveFileInfoProvider:

## Public Member Functions
virtual QSize | dimensionsHint (const QString &path)=0
| Gives a hint at the size of the image.
virtual int | orientationHint (const QString &path)=0
| Gives a hint at the orientation of the image.

## Member Function Documentation

## ◆ dimensionsHint()

virtual QSize Digikam::LoadSaveFileInfoProvider::dimensionsHint | ( | const QString & | path | ) |
| pure virtual

This can be used to supersede the Exif information in the file.

Implemented in Digikam::DatabaseLoadSaveFileInfoProvider.

## ◆ orientationHint()

virtual int Digikam::LoadSaveFileInfoProvider::orientationHint | ( | const QString & | path | ) |
| pure virtual

This can be used to supersede the Exif information in the file. Will not be used if DMetadata::ORIENTATION_UNSPECIFIED (default value)

Implemented in Digikam::DatabaseLoadSaveFileInfoProvider.